Communications Campaigns
Update Campaign Status
PATCH
/
campaigns
/
{campaign_id}
cURL
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/campaigns/{campaign_id} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"status": "PAUSED"
}
'import requests
url = "https://api-sandbox.y.uno/v1/campaigns/{campaign_id}"
payload = { "status": "PAUSED" }
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 'PAUSED'})
};
fetch('https://api-sandbox.y.uno/v1/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Declined Payment Recovery - Colombia",
"status": "PAUSED",
"updated_at": "2025-07-15T10:00:00Z"
}
}Updates the status of a campaign. Use this to pause, resume, complete, or cancel a campaign.
Status Transitions
ACTIVE—>PAUSED,COMPLETED,CANCELLEDPAUSED—>ACTIVE,COMPLETED,CANCELLEDCOMPLETED—> (terminal - no further transitions)CANCELLED—> (terminal - no further transitions)
Path Parameters
The campaign identifier (UUID).
Body
application/json
New status for the campaign.
Available options:
ACTIVE, PAUSED, COMPLETED, CANCELLED Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
